Documentation · API reference
POST/api/v1/billing/checkout

Start paying for a plan

Start paying for a plan: answers with the provider's page to go to.

What to send

PlanChoice

plan
stringneeded
yearly
booleanPaid by the year, where a provider takes payment.

The answer

Status 200

Away A page of the payment provider's to go to.

url
stringneeded

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/billing/checkout \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"plan": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/billing/checkout", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"plan": "…"}),
}).then((r) => r.json());